//Copyright © 2015-2017, Verizon and/or its Licensors. All rights reserved.

#import "PCCreateContactAPIParams.h"

/*!
 * PCUpdateContactAPIParams stores all the parameters required to update a specific contact.
 */

@interface PCUpdateContactAPIParams : PCCreateContactAPIParams

/*!
 * Unique id related to a specific contact. (required)
 */

@property (nonatomic, copy) NSString *contactID;

/*!
 *  The current version of the contact. (required)
 */
@property (nonatomic, copy) NSNumber* version;

/*!
 * Call this method to initialize PCUpdateContactAPIParams object with values.
 * \param contact stores all the details of a contact. Which used to set value in PCUpdateContactAPIParams object.
 */
- (id)initWithPCContact:(PCContact *)contact;


@end
